/**************************************************************/
/*                                                            */
/* stm32_hw.c  -- Hardware dependent routines                 */
/*                                                            */
/*     STM32VL Discovery (STMicroelectronics, 24 MHz)         */
/*                                                            */
/* NON COMMERCIAL USE ONLY                                    */
/*                                                            */
/*   2011/5 Fujisekk LTD       (L)ym݌v                   */
/*      MGG03420@nifty.ne.jp                                  */
/*      http://www.d1.dion.ne.jp/~fujisekk                    */
/*      http://homepage3.nifty.com/fujisekk                   */
/*                                                            */
/**************************************************************/

/* STM32vldiscovery Tone Generator */

#include <inttypes.h>
#include <stddef.h>
#include <ST\iostm32f100xB.h>  // STM32F10x IO Definitions

#define STM32F103
#define STM32F10X_LD_VL
#define SYSCLK_FREQ_24MHz  24000000
#define syn_CV

#define  SINE_TABLE_SIZE WAVEQUESIZE
#define  sinetable wave_que
#define SINE_MAX         0x7FE // 12Bit/2
// #define USE_DACBUFOF //obtAgȂ
typedef unsigned int uint;


/*ProtoType D/A Convertor or Audio Apprication */
extern void SysTick_Configuration(void);
extern void set_config(int mode);
extern void stm32_timer6_start( void );
extern void stm32_usart_setup( void );


#define LED_ON   GPIOC_ODR = GPIOC_ODR |0x100;    // LED̏o͂ON
#define LED_TOGL   GPIOC_ODR = GPIOC_ODR ^0x100;    // LED̏o͂TOGL
#define LED_OFF GPIOC_ODR = GPIOC_ODR&0xfeff;   // LED̏o͂OFF
#define RCV_LED_ON   GPIOC_ODR = GPIOC_ODR |0x200;    // LED̏o͂ON
#define RCV_LED_TOGL   GPIOC_ODR = GPIOC_ODR ^0x200;    // LED̏o͂TOGL
#define RCV_LED_OFF GPIOC_ODR = GPIOC_ODR&0xfdff;   // LED̏o͂OFF

#define LED_ONESHOT_BITS (0x0003)

#define WAVEQUESIZE 64
extern volatile int   wq_wr_ix, wq_rd_ix;
extern int16_t wave_que[WAVEQUESIZE];
extern volatile int t1_tick;
